Package org.jbpm.services.task.audit.service

## Class TaskAuditQueryCriteriaUtil

- java.lang.Object
- - org.jbpm.query.jpa.impl.QueryCriteriaUtil
  - - org.jbpm.services.task.persistence.AbstractTaskQueryCriteriaUtil
    - - org.jbpm.services.task.audit.service.TaskAuditQueryCriteriaUtil

-     public class TaskAuditQueryCriteriaUtil
      extends AbstractTaskQueryCriteriaUtil

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>>` | `criteriaAttributes` |

    - ### Fields inherited from class org.jbpm.services.task.persistence.AbstractTaskQueryCriteriaUtil

      `persistenceContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAuditQueryCriteriaUtil​(TaskJPAAuditService service)` |
    `TaskAuditQueryCriteriaUtil​(org.kie.internal.task.api.TaskPersistenceContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `closeEntityManager​(javax.persistence.EntityManager em, Object transaction)` |
    `protected javax.persistence.EntityManager` | `getEntityManager()` |
    `protected <R,​T> javax.persistence.criteria.Predicate` | `implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query, javax.persistence.criteria.CriteriaBuilder builder, Class queryType, org.jbpm.query.jpa.data.QueryCriteria criteria, org.jbpm.query.jpa.data.QueryWhere queryWhere)` |
    `protected boolean` | `initializeCriteriaAttributes()` |
    `protected Object` | `joinTransaction​(javax.persistence.EntityManager em)` |

    - ### Methods inherited from class org.jbpm.services.task.persistence.AbstractTaskQueryCriteriaUtil

      `createQueryAndCallApplyMetaCriteriaAndGetResult, getCriteriaBuilder`

    - ### Methods inherited from class org.jbpm.query.jpa.impl.QueryCriteriaUtil

      `addCriteria, addCriteria, applyMetaCriteriaToQuery, basicCreatePredicateFromSingleCriteria, convertListToInterfaceList, convertRegexToJPALikeExpression, defaultGetEntityField, doCriteriaQuery, fillCriteriaQuery, getCriteriaAttributes, getEntityField, getOrderByExpression, getRoot, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### criteriaAttributes

          public static final Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>> criteriaAttributes

  - ### Constructor Detail

    - #### TaskAuditQueryCriteriaUtil

          public TaskAuditQueryCriteriaUtil​(TaskJPAAuditService service)

    - #### TaskAuditQueryCriteriaUtil

          public TaskAuditQueryCriteriaUtil​(org.kie.internal.task.api.TaskPersistenceContext context)

  - ### Method Detail

    - #### initializeCriteriaAttributes

          protected boolean initializeCriteriaAttributes()

      Overrides:
        `initializeCriteriaAttributes` in class `AbstractTaskQueryCriteriaUtil`

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager()

      Overrides:
        `getEntityManager` in class `AbstractTaskQueryCriteriaUtil`

    - #### joinTransaction

          protected Object joinTransaction​(javax.persistence.EntityManager em)

      Overrides:
        `joinTransaction` in class `AbstractTaskQueryCriteriaUtil`

    - #### closeEntityManager

          protected void closeEntityManager​(javax.persistence.EntityManager em,
                                            Object transaction)

      Overrides:
        `closeEntityManager` in class `AbstractTaskQueryCriteriaUtil`

    - #### implSpecificCreatePredicateFromSingleCriteria

          protected <R,​T> javax.persistence.criteria.Predicate implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query,
                                                                                                                   javax.persistence.criteria.CriteriaBuilder builder,
                                                                                                                   Class queryType,
                                                                                                                   org.jbpm.query.jpa.data.QueryCriteria criteria,
                                                                                                                   org.jbpm.query.jpa.data.QueryWhere queryWhere)

      Overrides:
        `implSpecificCreatePredicateFromSingleCriteria` in class `AbstractTaskQueryCriteriaUtil`